#!/usr/bin/perl

use Mail::Sendmail;

$file = $ARGV[0];
$maxSize = $ARGV[1];
$sender = $ARGV[2];
$rcpt = $ARGV[3];

$postmaster = 'postmaster@web4free.ch';
$mail_host = 'mail.web4free.ch';

$size = (stat($file))[7];

if($size >= $maxSize) {
	# Send an email
	%mail = (	'Smtp'		=>	$mail_host,
		'To'		=>	$sender,
#		'Cc'		=>	$postmaster,
		'From'		=>	$postmaster,
		'Date'		=>	Mail::Sendmail::time_to_date(time),
		'Subject'	=>	"Message too big" );
	
	$message  = <<END_OF_MESSAGE;
The message you just sent to the email account $rcpt was too big.

Your message has the size of $size bytes, the maximum size for this email 
account / mailing list is $maxSize bytes.

Please try to use an other transport, or cut the message in smaller pieces.


Thank you.
END_OF_MESSAGE

	$mail{Body} = $message;

	sendmail %mail;
	exit 99;
}
exit 0;
